Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - r -

- r() : Lucene::PorterStemmer
- RADIX : Lucene::NumberTools
- ramBufferSize : Lucene::DocumentsWriter
- RAMDirectory() : Lucene::RAMDirectory
- RAMFile() : Lucene::RAMFile
- RAMInputStream() : Lucene::RAMInputStream
- RAMOutputStream() : Lucene::RAMOutputStream
- ramSizeInBytes() : Lucene::IndexWriter
- Random() : Lucene::Random
- range() : Lucene::SegmentInfos
- rangeCollator : Lucene::QueryParser
- RangeEx : Lucene::QueryParserConstants
- RANGEEX_END : Lucene::QueryParserConstants
- RANGEEX_GOOP : Lucene::QueryParserConstants
- RANGEEX_QUOTED : Lucene::QueryParserConstants
- RANGEEX_START : Lucene::QueryParserConstants
- RANGEEX_TO : Lucene::QueryParserConstants
- RangeIn : Lucene::QueryParserConstants
- RANGEIN_END : Lucene::QueryParserConstants
- RANGEIN_GOOP : Lucene::QueryParserConstants
- RANGEIN_QUOTED : Lucene::QueryParserConstants
- RANGEIN_START : Lucene::QueryParserConstants
- RANGEIN_TO : Lucene::QueryParserConstants
- rawDocLengths : Lucene::SegmentMerger
- rawDocLengths2 : Lucene::SegmentMerger
- rawDocs() : Lucene::FieldsReader , Lucene::TermVectorsReader
- RawPostingList() : Lucene::RawPostingList
- read() : Lucene::AbstractAllTermDocs , Lucene::BufferedReader , Lucene::CharFilter , Lucene::CharReader , Lucene::FieldInfos , Lucene::FileReader , Lucene::FilterTermDocs , Lucene::InputStreamReader , Lucene::MappingCharFilter , Lucene::MultipleTermPositions , Lucene::MultiTermDocs , Lucene::Reader , Lucene::ReusableStringReader , Lucene::SegmentInfos , Lucene::SegmentTermDocs , Lucene::SegmentTermPositions , Lucene::StringReader , Lucene::TermBuffer , Lucene::TermDocs
- readBits() : Lucene::BitVector
- readBufferSize : Lucene::CompoundFileReader
- readByte() : Lucene::BufferedIndexInput , Lucene::ByteSliceReader , Lucene::ChecksumIndexInput , Lucene::IndexInput , Lucene::RAMInputStream , Lucene::SkipBuffer
- readBytes() : Lucene::BufferedIndexInput , Lucene::ByteSliceReader , Lucene::ChecksumIndexInput , Lucene::IndexInput , Lucene::RAMInputStream , Lucene::SkipBuffer
- readChar() : Lucene::FastCharStream , Lucene::QueryParserCharStream
- readChars() : Lucene::IndexInput
- readCount : Lucene::IndexWriter
- readCurrentUserData() : Lucene::SegmentInfos
- readCurrentVersion() : Lucene::SegmentInfos
- readDeltaPosition() : Lucene::SegmentTermPositions
- readDgaps() : Lucene::BitVector
- reader : Lucene::BufferedReader , Lucene::CustomScoreProvider , Lucene::IndexSearcher , Lucene::InputStreamReader , Lucene::NearSpansUnordered , Lucene::PayloadSpanUtil
- Reader() : Lucene::Reader
- reader : Lucene::UTF8DecoderStream , Lucene::UTF8EncoderStream
- READER_BUFFER : Lucene::BufferedReader
- READER_EOF : Lucene::Reader
- readerCache : Lucene::Cache
- ReaderCommit() : Lucene::ReaderCommit
- readerGen : Lucene::StringOrdValComparator
- readerIndex() : Lucene::DirectoryReader , Lucene::MultiReader
- readerKey : Lucene::FieldCacheEntryImpl
- readerPool : Lucene::IndexWriter
- readers : Lucene::MultiTermDocs , Lucene::OneMerge , Lucene::ParallelReader , Lucene::SegmentMerger
- readersClone : Lucene::OneMerge
- readerTermDocs : Lucene::MultiTermDocs
- readerTermsIndexDivisor : Lucene::IndexWriter
- readerToFields : Lucene::ParallelReader
- readerValue() : Lucene::Field , Lucene::Fieldable , Lucene::LazyField , Lucene::NumericField
- readFields() : Lucene::TermVectorsReader
- readInt() : Lucene::IndexInput
- readInternal() : Lucene::BufferedIndexInput , Lucene::CSIndexInput
- readLine() : Lucene::BufferedReader
- readLong() : Lucene::IndexInput
- readModifiedUTF8String() : Lucene::IndexInput
- readNext() : Lucene::UTF16Decoder , Lucene::UTF8Base , Lucene::UTF8Decoder , Lucene::UTF8DecoderStream , Lucene::UTF8Encoder , Lucene::UTF8EncoderStream
- readNoTf() : Lucene::SegmentTermDocs
- readOnly : Lucene::DirectoryReader , Lucene::SegmentReader
- ReadOnlyDirectoryReader() : Lucene::ReadOnlyDirectoryReader
- readSkipData() : Lucene::DefaultSkipListReader , Lucene::MultiLevelSkipListReader
- readString() : Lucene::IndexInput
- readStringStringMap() : Lucene::IndexInput
- readTermVector() : Lucene::TermVectorsReader
- readTermVectors() : Lucene::TermVectorsReader
- readTvfPointers() : Lucene::TermVectorsReader
- readVInt() : Lucene::IndexInput
- readVLong() : Lucene::IndexInput
- recursionCount : Lucene::Synchronize
- recycle() : Lucene::PerDocBuffer
- recycleByteBlocks() : Lucene::ByteBlockAllocator , Lucene::ByteBlockPoolAllocatorBase
- recycleCharBlocks() : Lucene::DocumentsWriter
- recycleIntBlocks() : Lucene::DocumentsWriter
- recyclePostings() : Lucene::TermsHash
- refCount : Lucene::IndexReader
- RefCount() : Lucene::RefCount
- refCounts : Lucene::IndexFileDeleter
- refill() : Lucene::BufferedIndexInput , Lucene::BufferedReader , Lucene::FastCharStream
- refresh() : Lucene::IndexFileDeleter
- registerDone : Lucene::OneMerge
- registerMerge() : Lucene::IndexWriter
- RegularExpressionId : Lucene::QueryParserConstants
- rehash() : Lucene::DocFieldProcessorPerThread
- rehashPostings() : Lucene::TermsHashPerField
- ReInit() : Lucene::QueryParser , Lucene::QueryParserTokenManager
- reinit() : Lucene::SingleTokenAttributeSource , Lucene::Token
- ReInitRounds() : Lucene::QueryParserTokenManager
- release() : Lucene::Lock , Lucene::SnapshotDeletionPolicy
- releaseRead() : Lucene::IndexWriter
- releaseWrite() : Lucene::IndexWriter
- RELEVANCE() : Lucene::Sort
- RelevanceComparator() : Lucene::RelevanceComparator
- remap() : Lucene::BufferedDeletes , Lucene::MergeDocIDRemapper
- remapDeletes() : Lucene::DocumentsWriter
- remove() : Lucene::Collection< TYPE > , Lucene::HashMap< KEY, VALUE, HASH, EQUAL > , Lucene::HashSet< TYPE, HASH, EQUAL > , Lucene::Map< KEY, VALUE, LESS > , Lucene::OpenBitSet , Lucene::SegmentInfoCollection , Lucene::Set< TYPE, LESS >
- remove_if() : Lucene::Collection< TYPE >
- removeAccents() : Lucene::ISOLatin1AccentFilter
- removeField() : Lucene::Document
- removeFields() : Lucene::Document
- removeFirst() : Lucene::Collection< TYPE >
- removeLast() : Lucene::Collection< TYPE >
- removeOpenFile() : Lucene::DocumentsWriter
- removeWeak() : Lucene::WeakHashMap< KEY, VALUE, HASH, EQUAL >
- renameFile() : Lucene::CompoundFileReader
- reopen() : Lucene::DirectoryReader , Lucene::IndexReader , Lucene::MultiReader , Lucene::ParallelReader
- reopenSegment() : Lucene::SegmentReader
- repeats : Lucene::PhrasePositions , Lucene::SloppyPhraseScorer
- replace() : Lucene::SegmentInfos
- replaceInvalidAcronym : Lucene::StandardAnalyzer , Lucene::StandardTokenizer
- replacement : Lucene::MappingCharFilter
- ReqExclScorer() : Lucene::ReqExclScorer
- ReqOptSumScorer() : Lucene::ReqOptSumScorer
- reqScorer : Lucene::ReqExclScorer , Lucene::ReqOptSumScorer
- required : Lucene::SubScorer
- requiredMask : Lucene::BooleanScorer
- requiredNrMatchers : Lucene::CountingConjunctionSumScorer
- requiredScorers : Lucene::BooleanScorer2
- reset() : Lucene::Array< TYPE > , Lucene::BufferedReader , Lucene::ByteBlockPool , Lucene::CachingTokenFilter , Lucene::CharBlockPool , Lucene::CharFilter , Lucene::CharReader , Lucene::CharTokenizer , Lucene::Collection< TYPE > , Lucene::FieldInvertState , Lucene::FileReader , Lucene::FreqProxTermsWriterPerField , Lucene::HashMap< KEY, VALUE, HASH, EQUAL > , Lucene::HashSet< TYPE, HASH, EQUAL > , Lucene::InputStreamReader , Lucene::IntBlockPool , Lucene::KeywordTokenizer , Lucene::Map< KEY, VALUE, LESS > , Lucene::NormsWriterPerField , Lucene::NumericTokenStream , Lucene::RAMOutputStream , Lucene::Reader , Lucene::SegmentInfo , Lucene::Set< TYPE, LESS > , Lucene::SinkFilter , Lucene::SinkTokenStream , Lucene::StandardTokenizer , Lucene::StandardTokenizerImpl , Lucene::StoredFieldsWriterPerDoc , Lucene::StringReader , Lucene::TermBuffer , Lucene::TermsHashPerField , Lucene::TermsHashPerThread , Lucene::TermVectorsTermsWriterPerDoc , Lucene::TokenFilter , Lucene::Tokenizer , Lucene::TokenStream , Lucene::WaitQueue
- resetMergeExceptions() : Lucene::IndexWriter
- resetSkip() : Lucene::DefaultSkipListWriter , Lucene::MultiLevelSkipListWriter
- resize() : Lucene::Array< TYPE > , Lucene::ArrayData< TYPE > , Lucene::BitSet , Lucene::Collection< TYPE >
- resizeTermBuffer() : Lucene::TermAttribute , Lucene::Token
- Resolution : Lucene::DateTools
- resolution : Lucene::TimeLimitingCollector
- RESOLUTION_DAY : Lucene::DateTools
- RESOLUTION_HOUR : Lucene::DateTools
- RESOLUTION_MILLISECOND : Lucene::DateTools
- RESOLUTION_MINUTE : Lucene::DateTools
- RESOLUTION_MONTH : Lucene::DateTools
- RESOLUTION_NULL : Lucene::DateTools
- RESOLUTION_SECOND : Lucene::DateTools
- RESOLUTION_YEAR : Lucene::DateTools
- resolveExternalSegments() : Lucene::IndexWriter
- restoreState() : Lucene::AttributeSource
- result : Lucene::TranslationResult< TYPE >
- resumeAddIndexes() : Lucene::IndexWriter
- resumeAllThreads() : Lucene::DocumentsWriter
- ReusableStringReader() : Lucene::ReusableStringReader
- reusableTokenStream() : Lucene::Analyzer , Lucene::KeywordAnalyzer , Lucene::PerFieldAnalyzerWrapper , Lucene::SimpleAnalyzer , Lucene::StandardAnalyzer , Lucene::StopAnalyzer , Lucene::WhitespaceAnalyzer
- reversed : Lucene::StringOrdValComparator
- reverseMul : Lucene::FieldValueHitQueue
- ReverseOrdFieldSource() : Lucene::ReverseOrdFieldSource
- rewrite() : Lucene::BooleanQuery , Lucene::ConstantScoreAutoRewrite , Lucene::ConstantScoreQuery , Lucene::CustomScoreQuery , Lucene::DisjunctionMaxQuery , Lucene::FieldMaskingSpanQuery , Lucene::FilteredQuery , Lucene::FuzzyQuery , Lucene::IndexSearcher , Lucene::MultiPhraseQuery , Lucene::MultiSearcher , Lucene::MultiTermQuery , Lucene::Query , Lucene::RewriteMethod , Lucene::Searchable , Lucene::Searcher , Lucene::SpanFirstQuery , Lucene::SpanNearQuery , Lucene::SpanNotQuery , Lucene::SpanOrQuery , Lucene::ValueSourceQuery , Lucene::WildcardQuery
- rewriteMethod : Lucene::MultiTermQuery
- rollback() : Lucene::IndexWriter
- rollbackCommit() : Lucene::DirectoryReader , Lucene::SegmentInfos , Lucene::SegmentReader
- rollbackHasChanges : Lucene::DirectoryReader
- rollbackInternal() : Lucene::IndexWriter
- rollbackSegmentInfo : Lucene::SegmentReader
- rollbackSegmentInfos : Lucene::IndexWriter
- rollbackSegments : Lucene::IndexWriter
- rollbackTransaction() : Lucene::IndexWriter
- round() : Lucene::DateTools
- RPAREN : Lucene::QueryParserConstants
- run() : Lucene::LuceneThread
- running : Lucene::LuceneThread
- runningMerges : Lucene::IndexWriter
- runThread() : Lucene::LuceneThread
- Runtime : Lucene::LuceneException

clucene.sourceforge.net